Contents
Index 🔎︎

# IsDate Function

Tests if a numeric or string expression can be converted to a Date variable.

## Syntax:

    IsDate (Expression)

## Return value:

Bool

## Parameters:

Expression: A numeric or string expression that you want to test. If the expression can be converted to a date, the function returns True, otherwise the function returns False.

### Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleIsDate
    Dim sDateVar As String
        sDateVar = "12.12.1997"
        Print IsDate(sDateVar) ' Returns True
        sDateVar = "12121997"
        Print IsDate(sDateVar) ' Returns False
    End Sub